Summary:		For Easy Rule Making
Name:		ferm
Version:		2.2
Release:		9%{?dist}
Group:		Applications/System
License:		GPLv2+
Source:		http://ferm.foo-projects.org/download/2.2/%{name}-%{version}.tar.gz
URL:			http://ferm.foo-projects.org/
BuildArchitectures:		noarch

# Required by src/import-ferm
BuildRequires:          perl-generators
BuildRequires:          perl(Data::Dumper)
BuildRequires:          perl(File::Spec)

BuildRequires:		systemd
Requires(post):	systemd
Requires(preun):	systemd
Requires(postun):	systemd

%description
Ferm is a tool to maintain complex firewalls, without having the
trouble to rewrite the complex rules over and over again. Ferm
allows the entire firewall rule set to be stored in a separate
file, and to be loaded with one command. The firewall configuration
resembles structured programming-like language, which can contain
levels and lists.

%prep
%setup -q

%build

%install
make install PREFIX=$RPM_BUILD_ROOT%{_prefix} DOCDIR=$RPM_BUILD_ROOT%{_pkgdocdir} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun

%files
# %doc AUTHORS README TODO NEWS examples/
%{_pkgdocdir}
%exclude %{_pkgdocdir}/COPYING
%license COPYING
%{_mandir}/man1/*
%{_unitdir}/%{name}.service
%{_sbindir}/import-ferm
%{_sbindir}/ferm

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Mar 15 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.2-5
- Fix %%doc handling (F24FTBFS, RHBZ#1307499).
- Add %%license.
- Modernize spec.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 6 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 2.2-1
- Update to 2.2 (bz#1045607)
- Add .service file.
- Clear some quirks.

* Wed Aug 21 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.1.2-4
- Reflect docdir changes (FTBFS, RHBZ#992258).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.1.2-2
- Perl 5.18 rebuild

* Sun Feb 10 2013 Pavel Alexeev <Pahan@Hubbitus.info> - 2.1.2-1
- Update to 2.1.2 (bz#890162).

* Sun Sep 2 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 2.2.1-1
- Update to 2.1.1 version by mail of Christopher Meng.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 28 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 2.1-1
- New version (update request: bz#769050)

* Mon Apr 25 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 2.0.9-1
- New upstream version 2.0.9 (request to update BZ#699273).

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Mar 9 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 2.0.7-8
- Update to 2.0.7

* Mon Dec 21 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 2.0.6-7
- Update to upstream 2.0.6 version.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 25 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 2.0.2-3
- License changed to GPLv2+ by answer of uptream developer Max Kellerman.

* Mon Aug 25 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 2.0.2-2
- In changelog fixed version representation by warning of rpmlint.
- Add NEWS to documentation.

* Fri Aug 22 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 2.0.2-1
- Step to version 2.0.2
- Group changed from "system/firewalls" to "Applications/System"
- Delete redundant "ferm -" from Summary tag.
- Delete Hu-part of Release to conform Fedora rules (by note in review).
- License changed rfom GPL to GPLv2 by source.
- Requires: perl removed.
- Setting variables in config.mk moved to %%prep section.
- Replace lost /usr to %%{_prefix} in make install instruction.
- %%defattr(-,root,root) changed to %%defattr(-,root,root,-)

* Fri Jul 11 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 1.3.4-0.Hu.1
- Changes to conform rpmlint ( http://fedoraproject.org/wiki/Packaging/Guidelines ):
	Setup made quiet
	Remove "mkdir -p $RPM_BUILD_ROOT" from %%prep
	Escape all %% in Changelog.
	Add %%build section

* Thu Jul 10 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 1.3.4-0.Hu.0
- Version 1.3.4
- Reformat with tabs.
- Clear old comments.
- Delete Packager: A. Kok <sofar@foo-projects.org>
- Add %%{?dist} part into release
- Replace hardcoded /usr/sbin to %%_sbindir
- Replace Build Root: "/tmp/%%{name}-%%{version}-root" by more standard.

* Mon Oct 22 2007 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 1.2.5
- Steep to version 1.2.5

* Mon Jul  2 2007 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su>
- Steep to version 1.2.4

* Mon Mar  5 2007 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su>
- Steep to version 1.2
- Restructure dirs and files in package
